Package com.mouseviator.fsuipc.helpers.avionics

# Class NavRadioHelper.BackCourseFlags

java.lang.Object
com.mouseviator.fsuipc.helpers.avionics.NavRadioHelper.BackCourseFlags

Enclosing class:
  NavRadioHelper

    public class NavRadioHelper.BackCourseFlags
    extends java.lang.Object

Helper class to what back course flag bits are set. You can obtain back course flags using the `NavRadioHelper.getBackCourseFlags()` function and pass the result of the data request to an instance of this class to test the bits using its functions.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `BackCourseFlags​(byte flags)` | Constructs a new instance of this class.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `byte` | `getFlags()` | Returns the flags value.
  `boolean` | `isAvailable()` | Tests whether bit 0 - BC available, is set or not.
  `boolean` | `isLocaliserTunedIn()` | Tests whether bit 1 - Localiser tuned in, is set or not.
  `boolean` | `isOnBackCourse()` | Tests whether bit 4 - On Back Course (Not found for FSX), is set or not.
  `boolean` | `isStationActive()` | Tests whether bit 7 - Station active (even if no BC), is set or not.
  `void` | `setFlags​(byte flags)` | Set the flags value.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BackCourseFlags

    public BackCourseFlags​(byte flags)
    Constructs a new instance of this class.
    Parameters:
      `flags` - The flags to initialize with.

- ## Method Details

  - ### setFlags

    public void setFlags​(byte flags)
    Set the flags value.
    Parameters:
      `flags` - The flags value.

  - ### getFlags

    public byte getFlags()
    Returns the flags value.
    Returns:
      The flags value.

  - ### isAvailable

    public boolean isAvailable()
    Tests whether bit 0 - BC available, is set or not.
    Returns:
      True if bit is set.

  - ### isLocaliserTunedIn

    public boolean isLocaliserTunedIn()
    Tests whether bit 1 - Localiser tuned in, is set or not.
    Returns:
      True if bit is set.

  - ### isOnBackCourse

    public boolean isOnBackCourse()
    Tests whether bit 4 - On Back Course (Not found for FSX), is set or not.
    Returns:
      True if bit is set.

  - ### isStationActive

    public boolean isStationActive()
    Tests whether bit 7 - Station active (even if no BC), is set or not.
    Returns:
      True if bit is set.